class Frame {
  private PImage frameImage;
  private Boolean isVisible;
  private float visibleHeight;
  
  Frame(PImage frameImage, float visibleHeight)
  {
    this.frameImage = frameImage;
    this.visibleHeight = visibleHeight;
    isVisible = false;
  }
  
  public PImage getImage()
  {
    return frameImage;
  }
  
  public void setVisibility(Boolean isVisible)
  {
    this.isVisible = isVisible;
  }
  
  public Boolean getVisibility()
  {
     return isVisible;
  }
  
  public float visibleHeight()
  {
    return visibleHeight;
  }
  
  public void updateVisibility(float offsetY)
  {
    isVisible = false;
    if(offsetY > visibleHeight && offsetY < visibleHeight + 100)
    {
      isVisible = true;
    }
  }
  
  public void drawImage()
  {
    image(frameImage, 0, 0);
  }
}